Package com.sas.lsaf.workflow.processdefinition

## Class ProcessDefinitionInfo

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.processdefinition.ProcessDefinitionInfo

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class ProcessDefinitionInfo
      extends AbstractIdentifiable

  The class that specifies information about the process flow definition that was used to create a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ProcessDefinitionInfo.ProcessDefinitionStatus` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessDefinitionInfo​(java.lang.String id, java.lang.String processDefinitionKey, java.lang.String name, java.lang.String description, java.lang.String deployedVersion, java.lang.String definitionFilePath, java.lang.String definitionFileVersion, java.util.Set<java.lang.String> contextTypes, ProcessDefinitionInfo.ProcessDefinitionStatus status, java.lang.String comment)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getComment()` | Gets the comment that was specified when the process flow definition was deployed.
    `java.util.Set<java.lang.String>` | `getContextTypes()` | Gets the context type identifiers for the types in which the process flow definition can be used to create process flows.
    `java.lang.String` | `getDefinitionFilePath()` | Gets the source path of the repository file that was used to deploy the process flow definition.
    `java.lang.String` | `getDefinitionFileVersion()` | Gets the version of the process flow definition file in the repository that was used to deploy the process.
    `java.lang.String` | `getDeployedVersion()` | Gets the deployed version of the process flow definition.
    `java.lang.String` | `getDescription()` | Gets the description of the process flow definition.
    `java.lang.String` | `getName()` | Gets the name of the process flow definition.
    `java.lang.String` | `getProcessDefinitionKey()` | Gets the identifier of the process flow definition as it exists in the definition file.
    `ProcessDefinitionInfo.ProcessDefinitionStatus` | `getStatus()` | Gets the status of the process flow definition.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessDefinitionInfo

          public ProcessDefinitionInfo​(java.lang.String id,
                                       java.lang.String processDefinitionKey,
                                       java.lang.String name,
                                       java.lang.String description,
                                       java.lang.String deployedVersion,
                                       java.lang.String definitionFilePath,
                                       java.lang.String definitionFileVersion,
                                       java.util.Set<java.lang.String> contextTypes,
                                       ProcessDefinitionInfo.ProcessDefinitionStatus status,
                                       java.lang.String comment)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the process flow definitions returned by the API.
      Parameters:
        `id` - The unique identifier of the process flow definition.
        `processDefinitionKey` - The key of the process flow definition, which is the same as the identifier in the definition file.
        `name` - The name of the process flow definition.
        `description` - The description of the process flow definition.
        `deployedVersion` - The latest deployed version of the process flow definition.
        `definitionFilePath` - The path of the file that was used to deploy the process flow definition.
        `definitionFileVersion` - The version of the file that was used to deploy the process flow definition.
        `contextTypes` - The context type identifiers in which process flows can be created with the process flow definition.
        `status` - The status of the process flow definition.
        `comment` - The comment that was specified when the process flow definition was deployed.

  - ### Method Detail

    - #### getProcessDefinitionKey

          public java.lang.String getProcessDefinitionKey()

      Gets the identifier of the process flow definition as it exists in the definition file.
      Returns:
        The identifier.

    - #### getName

          public java.lang.String getName()

      Gets the name of the process flow definition.
      Returns:
        The name.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the process flow definition.
      Returns:
        The description.

    - #### getDeployedVersion

          public java.lang.String getDeployedVersion()

      Gets the deployed version of the process flow definition. This typically represents the number of times it has been deployed. See definitionFileVersion for the version of the repository file that was used to deploy the process flow definition.
      Returns:
        The deployed version.

    - #### getDefinitionFilePath

          public java.lang.String getDefinitionFilePath()

      Gets the source path of the repository file that was used to deploy the process flow definition.
      Returns:
        The source path.

    - #### getDefinitionFileVersion

          public java.lang.String getDefinitionFileVersion()

      Gets the version of the process flow definition file in the repository that was used to deploy the process.
      Returns:
        The version.

    - #### getContextTypes

          public java.util.Set<java.lang.String> getContextTypes()

      Gets the context type identifiers for the types in which the process flow definition can be used to create process flows.
      Returns:
        The context type identifiers.

    - #### getStatus

          public ProcessDefinitionInfo.ProcessDefinitionStatus getStatus()

      Gets the status of the process flow definition. Only if the status is `ACTIVE` can process flows be created from the definition.
      Returns:
        The process flow definition status.

    - #### getComment

          public java.lang.String getComment()

      Gets the comment that was specified when the process flow definition was deployed.
      Returns:
        The comment.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`